## WDS Get Profile List WDS Get Profile List |

## Functions

QmiMessageWdsGetProfileListInput * | qmi_message_wds_get_profile_list_input_new ()
QmiMessageWdsGetProfileListInput * | qmi_message_wds_get_profile_list_input_ref ()
void | qmi_message_wds_get_profile_list_input_unref ()
gboolean | qmi_message_wds_get_profile_list_input_get_profile_type ()
gboolean | qmi_message_wds_get_profile_list_input_set_profile_type ()
QmiMessageWdsGetProfileListOutput * | qmi_message_wds_get_profile_list_output_ref ()
void | qmi_message_wds_get_profile_list_output_unref ()
gboolean | qmi_message_wds_get_profile_list_output_get_result ()
gboolean | qmi_message_wds_get_profile_list_output_get_profile_list ()
gboolean | qmi_message_wds_get_profile_list_output_get_extended_error_code ()
void | qmi_client_wds_get_profile_list ()
QmiMessageWdsGetProfileListOutput * | qmi_client_wds_get_profile_list_finish ()

## Types and Values

| QmiMessageWdsGetProfileListInput
| QmiMessageWdsGetProfileListOutput
| QmiMessageWdsGetProfileListOutputProfileListProfile

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsGetProfileListInput
        ╰── QmiMessageWdsGetProfileListOutput

## Description

## Functions

### qmi_message_wds_get_profile_list_input_new ()

    QmiMessageWdsGetProfileListInput *
    qmi_message_wds_get_profile_list_input_new
                                   (void);

Allocates a new QmiMessageWdsGetProfileListInput.

#### Returns

the newly created QmiMessageWdsGetProfileListInput. The returned value should be freed with `qmi_message_wds_get_profile_list_input_unref()`.

### qmi_message_wds_get_profile_list_input_ref ()

    QmiMessageWdsGetProfileListInput *
    qmi_message_wds_get_profile_list_input_ref
                                   (QmiMessageWdsGetProfileListInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetProfileListInput. |

#### Returns

the new reference to `self` .

### qmi_message_wds_get_profile_list_input_unref ()

    void
    qmi_message_wds_get_profile_list_input_unref
                                   (QmiMessageWdsGetProfileListInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetProfileListInput. |

### qmi_message_wds_get_profile_list_input_get_profile_type ()

    gboolean
    qmi_message_wds_get_profile_list_input_get_profile_type
                                   (QmiMessageWdsGetProfileListInput *self,
                                    QmiWdsProfileType *value_profile_type,
                                    GError **error);

Get the 'Profile Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileListInput. |
value_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_list_input_set_profile_type ()

    gboolean
    qmi_message_wds_get_profile_list_input_set_profile_type
                                   (QmiMessageWdsGetProfileListInput *self,
                                    QmiWdsProfileType value_profile_type,
                                    GError **error);

Set the 'Profile Type' field in the message.

#### Parameters

self | a QmiMessageWdsGetProfileListInput. |
value_profile_type | a QmiWdsProfileType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_wds_get_profile_list_output_ref ()

    QmiMessageWdsGetProfileListOutput *
    qmi_message_wds_get_profile_list_output_ref
                                   (QmiMessageWdsGetProfileListOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetProfileListOutput. |

#### Returns

the new reference to `self` .

### qmi_message_wds_get_profile_list_output_unref ()

    void
    qmi_message_wds_get_profile_list_output_unref
                                   (QmiMessageWdsGetProfileListOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetProfileListOutput. |

### qmi_message_wds_get_profile_list_output_get_result ()

    gboolean
    qmi_message_wds_get_profile_list_output_get_result
                                   (QmiMessageWdsGetProfileListOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetProfileListOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_wds_get_profile_list_output_get_profile_list ()

    gboolean
    qmi_message_wds_get_profile_list_output_get_profile_list
                                   (QmiMessageWdsGetProfileListOutput *self,
                                    GArray **value_profile_list,
                                    GError **error);

Get the 'Profile List' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileListOutput. |
value_profile_list | a placeholder for the output GArray of QmiMessageWdsGetProfileListOutputProfileListProfile elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_list_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_get_profile_list_output_get_extended_error_code
                                   (QmiMessageWdsGetProfileListOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileListOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_wds_get_profile_list ()

    void
    qmi_client_wds_get_profile_list (QmiClientWds *self,
                                     QmiMessageWdsGetProfileListInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Get Profile List request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_profile_list_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetProfileListInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_wds_get_profile_list_finish ()

    QmiMessageWdsGetProfileListOutput *
    qmi_client_wds_get_profile_list_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_profile_list()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_profile_list()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetProfileListOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_profile_list_output_unref()`.

## Types and Values

### QmiMessageWdsGetProfileListInput

    typedef struct _QmiMessageWdsGetProfileListInput QmiMessageWdsGetProfileListInput;

The QmiMessageWdsGetProfileListInput structure contains private data and should only be accessed using the provided API.

### QmiMessageWdsGetProfileListOutput

    typedef struct _QmiMessageWdsGetProfileListOutput QmiMessageWdsGetProfileListOutput;

The QmiMessageWdsGetProfileListOutput structure contains private data and should only be accessed using the provided API.

### QmiMessageWdsGetProfileListOutputProfileListProfile

    typedef struct {
        QmiWdsProfileType profile_type;
        guint8 profile_index;
        gchar *profile_name;
    } QmiMessageWdsGetProfileListOutputProfileListProfile;

A QmiMessageWdsGetProfileListOutputProfileListProfile struct.

#### Members

QmiWdsProfileType `profile_type`; | a QmiWdsProfileType. |
guint8 `profile_index`; | a guint8. |
gchar *`profile_name`; | a string. |